Get Auto-Response Setting
Returns the matching criteria and response content for the specified auto-response rule.
GET
/
messaging_profiles
/
{profile_id}
/
autoresp_configs
/
{autoresp_cfg_id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const autoRespConfigResponse = await client.messagingProfiles.autorespConfigs.retrieve(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
{ profile_id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e' },
);
console.log(autoRespConfigResponse.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
auto_resp_config_response = client.messaging_profiles.autoresp_configs.retrieve(
autoresp_cfg_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
profile_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(auto_resp_config_response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
autoRespConfigResponse, err := client.MessagingProfiles.AutorespConfigs.Get(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
telnyx.MessagingProfileAutorespConfigGetParams{
ProfileID: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", autoRespConfigResponse.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.messagingprofiles.autorespconfigs.AutoRespConfigResponse;
import com.telnyx.sdk.models.messagingprofiles.autorespconfigs.AutorespConfigRetrieveParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
AutorespConfigRetrieveParams params = AutorespConfigRetrieveParams.builder()
.profileId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.autorespCfgId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.build();
AutoRespConfigResponse autoRespConfigResponse = client.messagingProfiles().autorespConfigs().retrieve(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
auto_resp_config_response = telnyx.messaging_profiles.autoresp_configs.retrieve(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
profile_id: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
)
puts(auto_resp_config_response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$autoRespConfigResponse = $client
->messagingProfiles
->autorespConfigs
->retrieve(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
profileID: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);
var_dump($autoRespConfigResponse);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx messaging-profiles:autoresp-configs retrieve \
--api-key 'My API Key' \
--profile-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--autoresp-cfg-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26ecurl --request GET \
--url https://api.telnyx.com/v2/messaging_profiles/{profile_id}/autoresp_configs/{autoresp_cfg_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"op": "start",
"keywords": [
"UNSTOP"
],
"resp_text": "Hello there!",
"country_code": "US",
"id": "adc37adf-d110-4355-9e9a-262847e68e89",
"created_at": "2023-03-13T17:51:03.826453+00:00",
"updated_at": "2023-03-13T17:51:03.826453+00:00"
}
}{
"errors": [
{
"code": "string",
"title": "string",
"detail": "string",
"source": {
"pointer": "/data/attributes/phone_number",
"parameter": "string"
}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the profile.
Unique identifier of the autoresp cfg.
Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const autoRespConfigResponse = await client.messagingProfiles.autorespConfigs.retrieve(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
{ profile_id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e' },
);
console.log(autoRespConfigResponse.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
auto_resp_config_response = client.messaging_profiles.autoresp_configs.retrieve(
autoresp_cfg_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
profile_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(auto_resp_config_response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
autoRespConfigResponse, err := client.MessagingProfiles.AutorespConfigs.Get(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
telnyx.MessagingProfileAutorespConfigGetParams{
ProfileID: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", autoRespConfigResponse.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.messagingprofiles.autorespconfigs.AutoRespConfigResponse;
import com.telnyx.sdk.models.messagingprofiles.autorespconfigs.AutorespConfigRetrieveParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
AutorespConfigRetrieveParams params = AutorespConfigRetrieveParams.builder()
.profileId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.autorespCfgId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.build();
AutoRespConfigResponse autoRespConfigResponse = client.messagingProfiles().autorespConfigs().retrieve(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
auto_resp_config_response = telnyx.messaging_profiles.autoresp_configs.retrieve(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
profile_id: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
)
puts(auto_resp_config_response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$autoRespConfigResponse = $client
->messagingProfiles
->autorespConfigs
->retrieve(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
profileID: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);
var_dump($autoRespConfigResponse);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx messaging-profiles:autoresp-configs retrieve \
--api-key 'My API Key' \
--profile-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--autoresp-cfg-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26ecurl --request GET \
--url https://api.telnyx.com/v2/messaging_profiles/{profile_id}/autoresp_configs/{autoresp_cfg_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"op": "start",
"keywords": [
"UNSTOP"
],
"resp_text": "Hello there!",
"country_code": "US",
"id": "adc37adf-d110-4355-9e9a-262847e68e89",
"created_at": "2023-03-13T17:51:03.826453+00:00",
"updated_at": "2023-03-13T17:51:03.826453+00:00"
}
}{
"errors": [
{
"code": "string",
"title": "string",
"detail": "string",
"source": {
"pointer": "/data/attributes/phone_number",
"parameter": "string"
}
}
]
}